javax.security.cert

## Class CertificateEncodingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.security.cert.CertificateException
      - - javax.security.cert.CertificateEncodingException

- All Implemented Interfaces:
    Serializable

      public class CertificateEncodingException
      extends CertificateException

  Certificate Encoding Exception. This is thrown whenever an error occurs whilst attempting to encode a certificate.

  Note: The classes in the package `javax.security.cert` exist for compatibility with earlier versions of the Java Secure Sockets Extension (JSSE). New applications should instead use the standard Java SE certificate classes located in `java.security.cert`.

  Since:
    1.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateEncodingException()` Constructs a CertificateEncodingException with no detail message.
    `CertificateEncodingException(String message)` Constructs a CertificateEncodingException with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CertificateEncodingException

          public CertificateEncodingException()

      Constructs a CertificateEncodingException with no detail message. A detail message is a String that describes this particular exception.

    - #### CertificateEncodingException

          public CertificateEncodingException(String message)

      Constructs a CertificateEncodingException with the specified detail message. A detail message is a String that describes this particular exception.
      Parameters:
        `message` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.